Debian Bug report logs - #580728
bristol: FTBFS on kfreebsd-i386: error: conflicting types for 'ftell'

version graph

Package: src:bristol; Maintainer for src:bristol is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sat, 8 May 2010 03:06:01 UTC

Severity: serious

Found in version bristol/0.60.2-1

Fixed in version bristol/0.60.3-1

Done: Alessio Treglia <quadrispro@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=2996828&group_id=157415&atid=803734

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#580728; Package src:bristol. (Sat, 08 May 2010 03:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 08 May 2010 03:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bristol: FTBFS on kfreebsd-i386: error: conflicting types for 'ftell'
Date: Sat, 08 May 2010 05:02:29 +0200
Source: bristol
Version: 0.60.2-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package FTBFS on kfreebsd-i386:
| libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/X11R6/include -pthread -Wall -g -I./../include/slab -I./../include/bristol -DBRISTOL_HAS_OSS=1 -D_BRISTOL_DRAIN -DBRISTOL_HAS_ALSA=0 -D_BRISTOL_JACK -D_BRISTOL_JACK_MIDI -g -O2 -I/usr/X11R6/include -c audioNetClient.c  -fPIC -DPIC -o .libs/audioNetClient.o
| In file included from audioNetClient.c:50:
| ./../include/slab/socketToolKit.h:81: error: conflicting types for 'ftell'
| /usr/include/stdio.h:727: note: previous declaration of 'ftell' was here
| make[3]: *** [audioNetClient.lo] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=bristol

Just for the record, some header dig-up follows.

system's stdio.h:
| extern long int ftell (FILE *__stream) __wur;

package's socketToolKit.h:
| off_t ftell(), tell();

which AFAICT, after some defines boils down to:
| /usr/include/machine-i386/_types.h:typedef	long long		__int64_t;
| /usr/include/machine-amd64/_types.h:typedef	long			__int64_t;

which would explain why it builds on kfreebsd-amd64 but not on
kfreebsd-i386.

Mraw,
KiBi.




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=2996828&group_id=157415&atid=803734'. Request was from Alessio Treglia <quadrispro@ubuntu.com> to control@bugs.debian.org. (Sat, 08 May 2010 07:21:05 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <quadrispro@ubuntu.com>:
You have taken responsibility. (Sun, 16 May 2010 18:51:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 16 May 2010 18:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 580728-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <quadrispro@ubuntu.com>
To: 580728-close@bugs.debian.org
Subject: Bug#580728: fixed in bristol 0.60.3-1
Date: Sun, 16 May 2010 18:47:13 +0000
Source: bristol
Source-Version: 0.60.3-1

We believe that the bug you reported is fixed in the latest version of
bristol, which is due to be installed in the Debian FTP archive:

bristol-data_0.60.3-1_all.deb
  to main/b/bristol/bristol-data_0.60.3-1_all.deb
bristol_0.60.3-1.diff.gz
  to main/b/bristol/bristol_0.60.3-1.diff.gz
bristol_0.60.3-1.dsc
  to main/b/bristol/bristol_0.60.3-1.dsc
bristol_0.60.3-1_i386.deb
  to main/b/bristol/bristol_0.60.3-1_i386.deb
bristol_0.60.3.orig.tar.gz
  to main/b/bristol/bristol_0.60.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <quadrispro@ubuntu.com> (supplier of updated bristol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 16 May 2010 20:19:42 +0200
Source: bristol
Binary: bristol bristol-data
Architecture: source i386 all
Version: 0.60.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <quadrispro@ubuntu.com>
Description: 
 bristol    - vintage synthesizer emulator
 bristol-data - vintage synthesizer emulator (data files)
Closes: 580728
Changes: 
 bristol (0.60.3-1) unstable; urgency=low
 .
   * New upstream release, Closes: #580728 too.
   * Remove 01-spelling_errors.patch, applied upstream.
   * debian/patches/01-destdir.patch:
     - Compress manpages before installing them.
     - Fix installation path of manpages.
   * Remove bristol.1 manpage, now provided by upstream.
Checksums-Sha1: 
 68f476b77f8633425a9142c37cc4b3fe2d06237d 1399 bristol_0.60.3-1.dsc
 7d070d3fd7eb7ca523bb8be0969c2fcfa80e8570 4242741 bristol_0.60.3.orig.tar.gz
 8a5033a4c8aa262c41e00059290d6fef424e8137 6833 bristol_0.60.3-1.diff.gz
 0869713b40c92fa0471ed7f3e80f01e8cfb41166 831704 bristol_0.60.3-1_i386.deb
 ed106fb2fe06cea436f6f809e9888f081970dd1b 2839910 bristol-data_0.60.3-1_all.deb
Checksums-Sha256: 
 1c52dfbcc6f1401a6a20d0f0c8fede45a2c56f10ba826f2c0a4a9280c5f301cb 1399 bristol_0.60.3-1.dsc
 68d2e64186d8e578c80f83b9914db00cb804b2b288ee3c174be75ac3026637f5 4242741 bristol_0.60.3.orig.tar.gz
 379b925e43945ff419ec8fce006b566d75b529ff10b5a93968d18893f878ea23 6833 bristol_0.60.3-1.diff.gz
 9a6c3764d1e13c7ab7c5826bd9f1c8ea77098f68fc692c00f67f5fd2274c1ea6 831704 bristol_0.60.3-1_i386.deb
 6a2427f0523a3c314e25bfefb37fb2177719e55fdaf3b1e75cd3fcce6aa94bd4 2839910 bristol-data_0.60.3-1_all.deb
Files: 
 26504963f2a0b52bb3666af3882312b1 1399 sound optional bristol_0.60.3-1.dsc
 34ce8088473af1b1def23eaf6c02dc93 4242741 sound optional bristol_0.60.3.orig.tar.gz
 53220b3d2988d72060e83db5376f0757 6833 sound optional bristol_0.60.3-1.diff.gz
 ec334bff5c08b19d3a121836d1289970 831704 sound optional bristol_0.60.3-1_i386.deb
 d183bcb9a6961e6e31ef18386f0ff3a0 2839910 sound optional bristol-data_0.60.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAkvwOgsACgkQRdSMfNz8P9DavQCggunTkbAlnx7Thz1eBoQkU7Sk
6WIAmJcuzryr2rmRT7bvP/8VOuW8M4w=
=3mL/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Jun 2010 07:32:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:43:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.